rubygem-dm-validations-1.2.0-2-omv2013.0.noarch.rpm


Advertisement

Description

rubygem-dm-validations - Library for performing validations on DM models and pure Ruby object

Property Value
Distribution OpenMandriva Lx 4.0
Repository OpenMandriva Unsupported Release i586
Package filename rubygem-dm-validations-1.2.0-2-omv2013.0.noarch.rpm
Package name rubygem-dm-validations
Package version 1.2.0
Package release 2-omv2013.0
Package architecture noarch
Package type rpm
Category Development/Ruby
Homepage http://github.com/datamapper/dm-validations
License GPLv2+ or Ruby
Maintainer -
Download size 25.54 KB
Installed size 83.65 KB
Library for performing validations on DM models and pure Ruby object

Alternatives

Package Version Architecture Repository
rubygem-dm-validations-1.2.0-2-omv2013.0.noarch.rpm 1.2.0 noarch OpenMandriva Unsupported Release
rubygem-dm-validations - - -

Requires

Name Value
ruby(abi) = 1.9.1
rubygem(dm-core) >= 1.2.0
rubygem(dm-core) < 1.3
rubygems -

Provides

Name Value
rubygem(dm-validations) = 1.2.0

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package rubygem-dm-validations-1.2.0-2-omv2013.0.noarch.rpm
Source Package rubygem-dm-validations-1.2.0-2.src.rpm

Install Howto

  1. Enable the repository in Software Repository Picker:
    # om-repo-picker
  2. Install rubygem-dm-validations rpm package:
    # dnf install rubygem-dm-validations

Files

Path
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/auto_validate.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/context.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/contextual_validators.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/exceptions.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validation_errors.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/formats/email.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/formats/url.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/support/object.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/support/ordered_hash.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/absent_field_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/acceptance_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/block_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/confirmation_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/format_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/generic_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/length_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/method_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/numeric_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/primitive_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/required_field_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/uniqueness_validator.rb
/usr/lib/ruby/gems/1.9.1/gems/dm-validations-1.2.0/lib/dm-validations/validators/within_validator.rb
/usr/lib/ruby/gems/1.9.1/specifications/dm-validations-1.2.0.gemspec

Changelog

2012-02-15 - Per √ėyvind Karlsen <peroyvind@mandriva.org> 1.2.0-2
+ Revision: 774206
- fix files listed twice
- mass rebuild of ruby packages against ruby 1.9.1
2012-01-23 - Alexander Khrukin <akhrukin@mandriva.org> 1.2.0-1
+ Revision: 767070
- imported package rubygem-dm-validations

See Also

Package Description
rubygem-dm-validations-doc-1.2.0-2-omv2013.0.noarch.rpm Documentation for rubygem-dm-validations
rubygem-do_mysql-0.10.14-2-omv2015.0.i586.rpm DataObjects MySQL Driver
rubygem-do_mysql-doc-0.10.14-2-omv2015.0.noarch.rpm Documentation for rubygem-do_mysql
rubygem-do_sqlite3-0.10.14-2-omv2015.0.i586.rpm DataObjects MySQL Driver
rubygem-do_sqlite3-doc-0.10.14-2-omv2015.0.noarch.rpm Documentation for rubygem-do_sqlite3
rubygem-echoe-4.5.5-2-omv2013.0.noarch.rpm Rubygems packaging tool
rubygem-echoe-doc-4.5.5-2-omv2013.0.noarch.rpm Documentation for rubygem-echoe
rubygem-em-http-request-0.2.7-2-omv2013.0.i586.rpm EventMachine based, async HTTP Request interface
rubygem-erubis-2.7.0-2-omv2013.0.noarch.rpm a fast and extensible eRuby implementation which supports multi-language
rubygem-erubis-doc-2.7.0-2-omv2013.0.noarch.rpm Documentation for rubygem-erubis
rubygem-eventmachine-1.0.0-2-omv2013.0.i586.rpm A fast, single-threaded engine for arbitrary network communications
rubygem-factory_girl-4.4.0-1-omv2015.0.noarch.rpm Framework and DSL for defining and using model instance factories
rubygem-factory_girl-doc-4.4.0-1-omv2015.0.noarch.rpm Documentation for rubygem-factory_girl
rubygem-fakefs-0.2.1-2-omv2015.0.noarch.rpm A fake filesystem. Use it in your tests
rubygem-faraday-0.9.0-1-omv2015.0.noarch.rpm HTTP/REST API client library
Advertisement
Advertisement